directories
end_directories;

settings
  operation_mode = real_time;
  startup_options
    call_procedures = false;
    activate_receivers = true;
    output_action = set_local;
  end_startup_options;
end_settings;

driver
  OPC {driver = 'opcdrv.dll'; map_file = 'matrikonOPC.dmf'; parameter_file = 'matrikonOPC.par'};
end_driver;

data

  var
    ActivePanel : real {init_value = 0; comment = 'index aktivnho panelu'};
  end_var;

end_data;

timer

  selector timing_switch;
    rem = 'pepna asovn pro aktivaci pstroj podle viditelnosti jednotlivch panel';
    activity
      period = 1;
    end_activity;
    case
      FMS_202_is_active = ActivePanel = 1;
      FMS_205_is_active = ActivePanel = 2;
      FMS_206_is_active = ActivePanel = 3;
      MELFA_is_active = ActivePanel = 4;
    end_case;
  end_selector;

end_timer;

instrument

  panel backpane;
    rem = 'hlavn panel aplikace';
    gui
      owner = background;
      position = 27, 49, 1024, 768;
      visibility = false;
      window
        type = normal;
        title = 'vizualizace_FMS200';
        disable = zoom;
      end_window;
    end_gui;

    procedure OnStartup();
    begin
      FMS_205.Hide();
      FMS_206.Hide();
      MELFA.Hide();
      MoveTo( WorkX + WorkW / 2 - ( 1024 + NoZoomWinReduceW ) / 2, WorkY + WorkD / 2 - ( 768 + NoZoomWinReduceD ) / 2 );
      Show();
      Select();
      ActivePanel = 1;
    end_procedure;

    procedure HidePanel( PanelIndex : real );
    begin
      if PanelIndex = 1 then
        FMS_202.Hide();
        if ActivePanel = 1 then
          ActivePanel = 0;
        end;
      elsif PanelIndex = 2 then
        FMS_205.Hide();
        if ActivePanel = 2 then
          ActivePanel = 0;
        end;
      elsif PanelIndex = 3 then
        FMS_206.Hide();
        if ActivePanel = 3 then
          ActivePanel = 0;
        end;
      elsif PanelIndex = 4 then
        MELFA.Hide();
        if ActivePanel = 4 then
          ActivePanel = 0;
        end;
      end;
    end_procedure;

    procedure ShowPanel( PanelIndex : real; KeyboardEvent : boolean );
    begin
      if ActivePanel <> 0 then
        HidePanel( ActivePanel );
      end;
      if PanelIndex = 1 then
        FMS_202.Show();
        if KeyboardEvent then
          tswitch.SetSelIndex( 1 );
        end;
      elsif PanelIndex = 2 then
        FMS_205.Show();
        if KeyboardEvent then
          tswitch.SetSelIndex( 2 );
        end;
      elsif PanelIndex = 3 then
        FMS_206.Show();
        if KeyboardEvent then
          tswitch.SetSelIndex( 3 );
        end;
      elsif PanelIndex = 4 then
        MELFA.Show();
        if KeyboardEvent then
          tswitch.SetSelIndex( 4 );
        end;
      end;
      ActivePanel = PanelIndex;
    end_procedure;

  end_panel;

  panel FMS_202;
    gui
      owner = backpane;
      position = 0, 0, 1024, 728;
    end_gui;
  end_panel;

  label label_7;
    gui
      owner = FMS_202;
      position = 868, 126;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Loisko vyloueno';
    end_text_list;
  end_label;

  label label_7;
    gui
      owner = FMS_202;
      position = 868, 76;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Loisko vloeno';
    end_text_list;
  end_label;

  indicator fms202_lind_vylouceni;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 818, 116;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.10;
  end_indicator;

  indicator fms202_ind_vlozeno;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 818, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.13;
  end_indicator;

  box box_4;
    gui
      owner = FMS_202;
      position = 813, 61, 190, 100;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  label label_1;
    gui
      owner = FMS_202;
      position = 473, 636;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Kontrola zsobnku';
    end_text_list;
  end_label;

  indicator fms202_ind_zas;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 523, 666;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.1;
  end_indicator;

  box box_12;
    gui
      owner = FMS_202;
      position = 468, 631, 150, 90;
    end_gui;
    colors
      interior = white;
      border = color_btntext;
    end_colors;
  end_box;

  label label_24;
    gui
      owner = FMS_202;
      position = 313, 686;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Velk loisko';
    end_text_list;
  end_label;

  label label_24;
    gui
      owner = FMS_202;
      position = 288, 646;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Mal loisko';
    end_text_list;
  end_label;

  label label_23;
    gui
      owner = FMS_202;
      position = 63, 686;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Modul pipraven';
    end_text_list;
  end_label;

  label label_23;
    gui
      owner = FMS_202;
      position = 58, 646;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Modul b';
    end_text_list;
  end_label;

  indicator fms202_ind_size_b;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 413, 676;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.25 = true;
  end_indicator;

  indicator fms202_ind_size_s;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 243, 636;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.25 = false;
  end_indicator;

  indicator fms202_ind_pripraven;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 183, 676;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = ( OPC.2 = true ) and ( OPC.3 = true ) and ( OPC.4 = true ) and ( OPC.5 = true ) and ( OPC.9 = true ) and ( OPC.11 = true ) and ( OPC.12 = true ) or ( OPC.2 = false ) and ( OPC.3 = false ) and ( OPC.4 = false ) and ( OPC.5 = false ) and ( OPC.9 = false ) and ( OPC.11 = false ) and ( OPC.12 = false );
  end_indicator;

  indicator fms202_ind_bezi;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 13, 636;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = ( OPC.2 = true ) and ( OPC.10 = false ) and ( OPC.13 = false );
  end_indicator;

  label label_11;
    gui
      owner = FMS_202;
      position = 88, 286;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Vzjet ejektoru E (6)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_202;
      position = 88, 241;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb ploiny D dol (5)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_202;
      position = 88, 196;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb podavae B dozadu (4)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_202;
      position = 88, 151;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Rozepnut uchopovae C (3)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_202;
      position = 88, 511;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Rozeven uchopovae I (10)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_202;
      position = 88, 466;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb vkladae H dozadu (9)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_202;
      position = 88, 421;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb vkldae G dol (8)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_202;
      position = 88, 376;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb ploiny D nahoru (7)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_202;
      position = 88, 331;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Vysunut tlesa F (11)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_202;
      position = 88, 106;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb podavae B dopedu (2)';
    end_text_list;
  end_label;

  indicator fms202_ind_11;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 38, 501;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.24;
  end_indicator;

  indicator fms202_ind_10;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 38, 456;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.23;
  end_indicator;

  indicator fms202_ind_9;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 38, 411;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.22;
  end_indicator;

  indicator fms202_ind_8;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 38, 366;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.18;
  end_indicator;

  indicator fms202_ind_7;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 38, 321;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.21;
  end_indicator;

  indicator fms202_ind_6;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 38, 276;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.20;
  end_indicator;

  indicator fms202_ind_5;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 38, 231;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.19;
  end_indicator;

  indicator fms202_ind_4;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 38, 186;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.16;
  end_indicator;

  indicator fms202_ind_3;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 38, 141;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.17;
  end_indicator;

  indicator fms202_ind_2;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 38, 96;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.15;
  end_indicator;

  indicator fms202_ind_1;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_202;
      position = 38, 51;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.14;
  end_indicator;

  label label_11;
    gui
      owner = FMS_202;
      position = 88, 61;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb podavae loisek A ze zsobnku (1)';
    end_text_list;
  end_label;

  label label_8;
    gui
      owner = FMS_202;
      position = 88, 16;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'Signalizace aktivity manipultor';
    end_text_list;
    colors
      paper = white;
    end_colors;
  end_label;

  switch button_reset;
    gui
      owner = FMS_202;
      position = 843, 651, 145, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = OPC.26;
    mode = text_button;
    font = 'Microsoft Sans Serif (Central European)', 14, bold;
    true_text = 'RESET';
    false_text = 'RESET';
    mono_time = 0.1;
    mono_level = true;
    colors
      true_paper = lblue;
      false_paper = lblue;
    end_colors;
  end_switch;

  switch button_start;
    gui
      owner = FMS_202;
      position = 648, 651, 145, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = OPC.27;
    mode = text_button;
    font = 'Microsoft Sans Serif (Central European)', 14, bold;
    true_text = 'START';
    false_text = 'START';
    mono_time = 0.1;
    mono_level = true;
    colors
      true_paper = lgreen;
      false_paper = lgreen;
    end_colors;
  end_switch;

  box box_7;
    gui
      owner = FMS_202;
      position = 8, 6, 400, 615;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  box box_4;
    gui
      owner = FMS_202;
      position = 628, 631, 380, 90;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  box box_12;
    gui
      owner = FMS_202;
      position = 8, 631, 220, 90;
    end_gui;
    colors
      interior = white;
      border = color_btntext;
    end_colors;
  end_box;

  box box_12;
    gui
      owner = FMS_202;
      position = 238, 631, 220, 90;
    end_gui;
    colors
      interior = white;
      border = color_btntext;
    end_colors;
  end_box;

  label label_3;
    gui
      owner = FMS_202;
      position = 593, 596;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'Obrzek modulu s pozic jednotlivch manipultor';
    end_text_list;
  end_label;

  image image_2;
    gui
      owner = FMS_202;
      position = 418, 56, 585, 530;
    end_gui;
    file = 'fms202.jpg';
  end_image;

  box box_1;
    gui
      owner = FMS_202;
      position = 413, 6, 595, 615;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  label panel_label;
    gui
      owner = FMS_202;
      position = 638, 16;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'Modul FMS 202';
    end_text_list;
  end_label;

  panel FMS_205;
    gui
      owner = backpane;
      position = 0, 0, 1024, 728;
    end_gui;
  end_panel;

  label label_7;
    gui
      owner = FMS_205;
      position = 858, 421;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Kryt vylouen';
    end_text_list;
  end_label;

  label label_7;
    gui
      owner = FMS_205;
      position = 858, 371;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Kryt vloen';
    end_text_list;
  end_label;

  indicator fms205_ind_vylouceni;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 813, 411;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.32;
  end_indicator;

  indicator fms205_ind_vlozeni;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 813, 361;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.33;
  end_indicator;

  box box_4;
    gui
      owner = FMS_205;
      position = 808, 356, 190, 100;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  label label_11;
    gui
      owner = FMS_205;
      position = 88, 586;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb vyhozovae kryt F dozadu (13)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_205;
      position = 88, 541;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb vyhozovae kryt F dopedu (12)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_205;
      position = 88, 496;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb vyhazovae krt G doll (11)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_205;
      position = 88, 451;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Sepnut vakuov psavky V (10)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_205;
      position = 88, 406;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb vkladae kryt H dol (9)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_205;
      position = 88, 361;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb vkladae kryt I dopedu (8)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_205;
      position = 88, 316;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Seven uchopvoae kryt J (7)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_205;
      position = 88, 271;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Otoen stolu D (6)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_205;
      position = 88, 226;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Vysunut cylindru E (5)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_205;
      position = 88, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb podavae kryt K ze zsobnku (1)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_205;
      position = 88, 91;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Seven uchopovae C (2)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_205;
      position = 88, 136;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb penaee kryt B dopedu (3)';
    end_text_list;
  end_label;

  indicator fms205_ind_13;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 38, 576;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.40;
  end_indicator;

  indicator fms205_ind_12;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 38, 531;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.39;
  end_indicator;

  indicator fms205_ind_11;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 38, 486;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.41;
  end_indicator;

  indicator fms205_ind_10;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 38, 441;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.42;
  end_indicator;

  indicator fms205_ind_9;
    gui
      owner = FMS_205;
      position = 38, 396;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.43;
  end_indicator;

  indicator fms205_ind_8;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 38, 351;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.44;
  end_indicator;

  indicator fms205_ind_7;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 38, 306;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.44;
  end_indicator;

  indicator fms205_ind_6;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 38, 261;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.37;
  end_indicator;

  indicator fms205_ind_5;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 38, 216;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.39;
  end_indicator;

  indicator fms205_ind_4;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 38, 171;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.34;
  end_indicator;

  indicator fms205_ind_3;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 38, 126;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.35;
  end_indicator;

  indicator fms205_ind_2;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 38, 81;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.36;
  end_indicator;

  label label_24;
    gui
      owner = FMS_205;
      position = 313, 686;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Plastov kryt';
    end_text_list;
  end_label;

  label label_24;
    gui
      owner = FMS_205;
      position = 288, 646;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Kovov kryt';
    end_text_list;
  end_label;

  label label_23;
    gui
      owner = FMS_205;
      position = 63, 686;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Modul pipraven';
    end_text_list;
  end_label;

  label label_23;
    gui
      owner = FMS_205;
      position = 58, 646;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Modul b';
    end_text_list;
  end_label;

  indicator fms205_ind_plast;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 413, 676;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.47 = true;
  end_indicator;

  indicator fms205_ind_kovovy;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 243, 636;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.47 = true;
  end_indicator;

  indicator fms205_ind_pripraven;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 183, 676;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = ( ( OPC.29 = true ) and ( OPC.30 = true ) and ( OPC.31 = true ) or ( OPC.29 = false ) and ( OPC.30 = false ) and ( OPC.31 = false ) ) and ( ( OPC.32 = false ) and ( OPC.33 = false ) or ( OPC.32 = true ) or ( OPC.33 = true ) );
  end_indicator;

  indicator fms205_ind_bezi;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 13, 636;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = ( OPC.29 = true ) and ( OPC.32 = false ) and ( OPC.33 = false );
  end_indicator;

  indicator fms205_ind_1;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 38, 36;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.46;
  end_indicator;

  label label_11;
    gui
      owner = FMS_205;
      position = 88, 181;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb podavae kryt A dol (4)';
    end_text_list;
  end_label;

  label label_8;
    gui
      owner = FMS_205;
      position = 88, 16;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'Signalizace aktivity manipultor';
    end_text_list;
    colors
      paper = white;
    end_colors;
  end_label;

  label label_3;
    gui
      owner = FMS_205;
      position = 593, 596;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'Obrzek modulu s pozic jednotlivch manipultor';
    end_text_list;
  end_label;

  image image_2;
    gui
      owner = FMS_205;
      position = 418, 56, 585, 405;
    end_gui;
    file = 'fms205.jpg';
  end_image;

  indicator fms205_ind_zasobnik;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_205;
      position = 523, 666;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.35;
  end_indicator;

  label label_1;
    gui
      owner = FMS_205;
      position = 473, 636;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Kontrola zsobnku';
    end_text_list;
  end_label;

  switch button_reset;
    gui
      owner = FMS_205;
      position = 843, 651, 145, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = OPC.48;
    mode = text_button;
    font = 'Microsoft Sans Serif (Central European)', 14, bold;
    true_text = 'RESET';
    false_text = 'RESET';
    mono_time = 0.1;
    mono_level = true;
    colors
      true_paper = lblue;
      false_paper = lblue;
    end_colors;
  end_switch;

  switch button_start;
    gui
      owner = FMS_205;
      position = 648, 651, 145, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = OPC.49;
    mode = text_button;
    font = 'Microsoft Sans Serif (Central European)', 14, bold;
    true_text = 'START';
    false_text = 'START';
    mono_time = 0.1;
    mono_level = true;
    colors
      true_paper = lgreen;
      false_paper = lgreen;
    end_colors;
  end_switch;

  box box_4;
    gui
      owner = FMS_205;
      position = 628, 631, 380, 90;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  box box_12;
    gui
      owner = FMS_205;
      position = 468, 631, 150, 90;
    end_gui;
    colors
      interior = white;
      border = color_btntext;
    end_colors;
  end_box;

  box box_7;
    gui
      owner = FMS_205;
      position = 8, 6, 400, 615;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  box box_12;
    gui
      owner = FMS_205;
      position = 8, 631, 220, 90;
    end_gui;
    colors
      interior = white;
      border = color_btntext;
    end_colors;
  end_box;

  box box_12;
    gui
      owner = FMS_205;
      position = 238, 631, 220, 90;
    end_gui;
    colors
      interior = white;
      border = color_btntext;
    end_colors;
  end_box;

  box box_1;
    gui
      owner = FMS_205;
      position = 413, 6, 595, 615;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  label panel_label;
    gui
      owner = FMS_205;
      position = 643, 11;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'Modul FMS 205';
    end_text_list;
  end_label;

  panel FMS_206;
    gui
      owner = backpane;
      position = 0, 0, 1024, 728;
    end_gui;
  end_panel;

  switch fms206_button_start;
    gui
      owner = FMS_206;
      position = 648, 651, 145, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = OPC.65;
    mode = text_button;
    font = 'Microsoft Sans Serif (Central European)', 14, bold;
    true_text = 'START';
    false_text = 'START';
    mono_time = 0.1;
    mono_level = true;
    colors
      true_paper = lgreen;
      false_paper = lgreen;
    end_colors;
  end_switch;

  switch fms206_button_reset;
    gui
      owner = FMS_206;
      position = 843, 651, 145, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = OPC.64;
    mode = text_button;
    font = 'Microsoft Sans Serif (Central European)', 14, bold;
    true_text = 'RESET';
    false_text = 'RESET';
    mono_time = 0.1;
    mono_level = true;
    colors
      true_paper = lblue;
      false_paper = lblue;
    end_colors;
  end_switch;

  box box_4;
    gui
      owner = FMS_206;
      position = 628, 631, 380, 90;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  indicator fms206_ind_prazdny;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_206;
      position = 523, 666;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.51;
  end_indicator;

  label label_1;
    gui
      owner = FMS_206;
      position = 473, 636;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Kontrola zsobnku';
    end_text_list;
  end_label;

  box box_12;
    gui
      owner = FMS_206;
      position = 468, 631, 150, 90;
    end_gui;
    colors
      interior = white;
      border = color_btntext;
    end_colors;
  end_box;

  label label_18;
    gui
      owner = FMS_206;
      position = 263, 666;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Nerozliuje dn tlesa';
    end_text_list;
  end_label;

  label label_17;
    gui
      owner = FMS_206;
      position = 63, 686;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Modul pipraven';
    end_text_list;
  end_label;

  label label_17;
    gui
      owner = FMS_206;
      position = 68, 646;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Modul b';
    end_text_list;
  end_label;

  indicator fms206_ind_pripraven;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_206;
      position = 183, 676;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = ( OPC.52 = true ) and ( OPC.53 = true ) and ( OPC.54 = true ) and ( OPC.55 = true ) or ( OPC.52 = false ) and ( OPC.53 = false ) and ( OPC.54 = false ) and ( OPC.55 = false );
  end_indicator;

  indicator fms206_ind_bezi;
    gui
      owner = FMS_206;
      position = 13, 636;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = ( OPC.62 = true ) or ( OPC.50 = true ) and ( OPC.55 = false );
  end_indicator;

  box box_12;
    gui
      owner = FMS_206;
      position = 238, 631, 220, 90;
    end_gui;
    colors
      interior = white;
      border = color_btntext;
    end_colors;
  end_box;

  box box_12;
    gui
      owner = FMS_206;
      position = 8, 631, 220, 90;
    end_gui;
    colors
      interior = white;
      border = color_btntext;
    end_colors;
  end_box;

  label label_11;
    gui
      owner = FMS_206;
      position = 88, 331;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Podava roubk E ze zsobnku (7)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_206;
      position = 88, 286;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb ploiny D dozadu (6)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_206;
      position = 88, 241;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb ploiny D dopedu (5)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_206;
      position = 88, 196;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Sepnut uchopovae C (4)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_206;
      position = 88, 151;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb uchopovae B dol (3)';
    end_text_list;
  end_label;

  label label_11;
    gui
      owner = FMS_206;
      position = 88, 106;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb podavae A dozadu (2)';
    end_text_list;
  end_label;

  indicator fms206_ind_7;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_206;
      position = 38, 321;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.62;
  end_indicator;

  indicator fms206_ind_6;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_206;
      position = 38, 276;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.61;
  end_indicator;

  indicator fms206_ind_5;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_206;
      position = 38, 231;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.60;
  end_indicator;

  indicator fms206_ind_4;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_206;
      position = 38, 186;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.59;
  end_indicator;

  indicator fms206_ind_3;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_206;
      position = 38, 141;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.58;
  end_indicator;

  indicator fms206_ind_2;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_206;
      position = 38, 96;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.57;
  end_indicator;

  label label_11;
    gui
      owner = FMS_206;
      position = 88, 61;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, normal;
      text = 'Pohyb podavae A dopedu (1)';
    end_text_list;
  end_label;

  indicator fms206_ind_1;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = FMS_206;
      position = 38, 51;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = OPC.56;
  end_indicator;

  label label_8;
    gui
      owner = FMS_206;
      position = 88, 16;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'Signalizace aktivity manipultor';
    end_text_list;
    colors
      paper = white;
    end_colors;
  end_label;

  label label_3;
    gui
      owner = FMS_206;
      position = 593, 596;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'Obrzek modulu s pozic jednotlivch manipultor';
    end_text_list;
  end_label;

  image image_2;
    gui
      owner = FMS_206;
      position = 418, 56, 585, 530;
    end_gui;
    file = 'fms206.jpg';
  end_image;

  box box_1;
    gui
      owner = FMS_206;
      position = 413, 6, 595, 615;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  label panel_label;
    gui
      owner = FMS_206;
      position = 633, 16;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'Modul FMS 206';
    end_text_list;
  end_label;

  box box_7;
    gui
      owner = FMS_206;
      position = 8, 6, 400, 615;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  panel MELFA;
    gui
      owner = backpane;
      position = 0, 0, 1024, 728;
    end_gui;
  end_panel;

  label label_3;
    gui
      owner = MELFA;
      position = 13, 556;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'Stav koncovho efektoru: ';
    end_text_list;
  end_label;

  switch ovladani_ruky;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = MELFA;
      position = 238, 536, 130, 70;
      bubble = '0 - rozeven 1 - seven';
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = OPC.71;
    auto_update = true;
  end_switch;

  button button_2;
    var
      x : real;
      y : real;
      z : real {init_value = 850};
      a : real;
      b : real;
    end_var;

    gui
      owner = MELFA;
      position = 893, 646, 100, 60;
    end_gui;
    text_align = center;
    font = 'Microsoft Sans Serif (Central European)', 16, bold;
    text_list
      text = 'P7';
    end_text_list;

    procedure OnActivate();
    begin
    end_procedure;

    procedure OnPress();
    begin
         OPC.75 = x;
         OPC.76 = y;
         OPC.77 = z;
         OPC.72 = a;
         OPC.73 = b;
    end_procedure;

  end_button;

  button button_2;
    var
      x : real {init_value = -250};
      y : real {init_value = -250};
      z : real {init_value = 450};
      a : real {init_value = 90};
      b : real {init_value = 270};
    end_var;

    gui
      owner = MELFA;
      position = 773, 646, 100, 60;
    end_gui;
    text_align = center;
    font = 'Microsoft Sans Serif (Central European)', 16, bold;
    text_list
      text = 'P6';
    end_text_list;

    procedure OnActivate();
    begin
         OPC.75 = x;
         OPC.76 = y;
         OPC.77 = z;
         OPC.72 = a;
         OPC.73 = b;
    end_procedure;

  end_button;

  button button_2;
    var
      x : real {init_value = 75};
      y : real {init_value = 250};
      z : real {init_value = 5};
      a : real {init_value = 90};
      b : real;
    end_var;

    gui
      owner = MELFA;
      position = 653, 646, 100, 60;
    end_gui;
    text_align = center;
    font = 'Microsoft Sans Serif (Central European)', 16, bold;
    text_list
      text = 'P5';
    end_text_list;

    procedure OnPress();
    begin
         OPC.75 = x;
         OPC.76 = y;
         OPC.77 = z;
         OPC.72 = a;
         OPC.73 = b;
    end_procedure;

  end_button;

  button button_2;
    var
      x : real {init_value = -100};
      y : real {init_value = 100};
      z : real {init_value = 250};
      a : real;
      b : real;
    end_var;

    gui
      owner = MELFA;
      position = 533, 646, 100, 60;
    end_gui;
    text_align = center;
    font = 'Microsoft Sans Serif (Central European)', 16, bold;
    text_list
      text = 'P4';
    end_text_list;

    procedure OnActivate();
    begin
         OPC.75 = x;
         OPC.76 = y;
         OPC.77 = z;
         OPC.72 = a;
         OPC.73 = b;
    end_procedure;

  end_button;

  button button_2;
    var
      x : real {init_value = -200};
      y : real {init_value = -240};
      z : real {init_value = 500};
      a : real {init_value = 90};
      b : real {init_value = 180};
    end_var;

    gui
      owner = MELFA;
      position = 408, 646, 100, 60;
    end_gui;
    text_align = center;
    font = 'Microsoft Sans Serif (Central European)', 16, bold;
    text_list
      text = 'P3';
    end_text_list;

    procedure OnPress();
    begin
         OPC.75 = x;
         OPC.76 = y;
         OPC.77 = z;
         OPC.72 = a;
         OPC.73 = b;
    end_procedure;

  end_button;

  button button_2;
    var
      x : real;
      y : real;
      z : real;
      a : real;
      b : real;
    end_var;

    gui
      owner = MELFA;
      position = 288, 646, 100, 60;
    end_gui;
    text_align = center;
    font = 'Microsoft Sans Serif (Central European)', 16, bold;
    text_list
      text = 'P2';
    end_text_list;

    procedure OnPress();
    begin
         OPC.75 = x;
         OPC.76 = y;
         OPC.77 = z;
         OPC.72 = a;
         OPC.73 = b;
    end_procedure;

  end_button;

  button button_2;
    var
      x : real {init_value = 240};
      y : real {init_value = 245};
      z : real {init_value = 5};
      a : real;
      b : real {init_value = 180};
    end_var;

    gui
      owner = MELFA;
      position = 163, 646, 100, 60;
    end_gui;
    text_align = center;
    font = 'Microsoft Sans Serif (Central European)', 16, bold;
    text_list
      text = 'P1';
    end_text_list;

    procedure OnPress();
    begin
         OPC.75 = x;
         OPC.76 = y;
         OPC.77 = z;
         OPC.72 = a;
         OPC.73 = b;
    end_procedure;

  end_button;

  button button_2;
    var
      x : real {init_value = 200};
      y : real {init_value = 200};
      z : real {init_value = 620};
      a : real;
      b : real {init_value = 180};
    end_var;

    gui
      owner = MELFA;
      position = 43, 646, 100, 60;
    end_gui;
    text_align = center;
    font = 'Microsoft Sans Serif (Central European)', 16, bold;
    text_list
      text = 'P0';
    end_text_list;

    procedure OnPress();
    begin
         OPC.75 = x;
         OPC.76 = y;
         OPC.77 = z;
         OPC.72 = a;
         OPC.73 = b;
    end_procedure;

  end_button;

  box box_1;
    gui
      owner = MELFA;
      position = 8, 626, 1000, 100;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  label label_3;
    gui
      owner = MELFA;
      position = 148, 446;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'B:';
    end_text_list;
  end_label;

  label label_3;
    gui
      owner = MELFA;
      position = 13, 446;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'A:';
    end_text_list;
  end_label;

  label label_3;
    gui
      owner = MELFA;
      position = 283, 301;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'Z:';
    end_text_list;
  end_label;

  label label_3;
    gui
      owner = MELFA;
      position = 148, 301;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'Y:';
    end_text_list;
  end_label;

  label label_3;
    gui
      owner = MELFA;
      position = 13, 301;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'X:';
    end_text_list;
  end_label;

  control nastav_b;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = MELFA;
      position = 183, 416, 90, 90;
    end_gui;
    output = OPC.73;
    content = max;
    range_from = -360;
    range_to = 360;
    auto_update = true;
  end_control;

  control nastav_a;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = MELFA;
      position = 48, 416, 90, 90;
    end_gui;
    output = OPC.72;
    content = max;
    range_from = -360;
    range_to = 360;
    auto_update = true;
  end_control;

  control nastav_z;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = MELFA;
      position = 313, 271, 90, 90;
    end_gui;
    output = OPC.77;
    content = max;
    range_to = 1000;
    auto_update = true;
  end_control;

  control nastav_y;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = MELFA;
      position = 183, 271, 90, 90;
    end_gui;
    output = OPC.76;
    content = max;
    range_from = -600;
    range_to = 600;
    auto_update = true;
  end_control;

  control nastav_x;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = MELFA;
      position = 48, 271, 90, 90;
    end_gui;
    output = OPC.75;
    content = max;
    range_from = -600;
    range_to = 600;
    auto_update = true;
  end_control;

  label label_8;
    gui
      owner = MELFA;
      position = 13, 211;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'Nastaven souadnic koncovho efektoru MELFY';
    end_text_list;
    colors
      paper = white;
    end_colors;
  end_label;

  box box_7;
    gui
      owner = MELFA;
      position = 8, 201, 400, 420;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  label label_3;
    gui
      owner = MELFA;
      position = 13, 141;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'A:';
    end_text_list;
  end_label;

  label label_3;
    gui
      owner = MELFA;
      position = 13, 76;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'X:';
    end_text_list;
  end_label;

  label label_3;
    gui
      owner = MELFA;
      position = 143, 76;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'Y:';
    end_text_list;
  end_label;

  label label_3;
    gui
      owner = MELFA;
      position = 273, 76;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'Z:';
    end_text_list;
  end_label;

  label label_3;
    gui
      owner = MELFA;
      position = 138, 141;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'B:';
    end_text_list;
  end_label;

  label label_8;
    gui
      owner = MELFA;
      position = 13, 16;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'Aktuln souadnice koncovho efektoru MELFY';
    end_text_list;
    colors
      paper = white;
    end_colors;
  end_label;

  meter show_x;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = MELFA;
      position = 43, 71, 90, 40;
    end_gui;
    expression = OPC.68;
    mode = dot_digital;
    range_from = -1000;
    range_to = 1000;
    low_limit = -250;
    high_limit = 750;
    colors
      paper = black;
    end_colors;
  end_meter;

  meter show_y;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = MELFA;
      position = 173, 71, 90, 40;
    end_gui;
    expression = OPC.69;
    mode = dot_digital;
    range_from = -1000;
    range_to = 1000;
    low_limit = -250;
    high_limit = 750;
    colors
      paper = black;
    end_colors;
  end_meter;

  meter show_z;
    gui
      owner = MELFA;
      position = 308, 71, 90, 40;
    end_gui;
    expression = OPC.70;
    mode = dot_digital;
    range_to = 1000;
    low_limit = 250;
    high_limit = 750;
    colors
      paper = black;
    end_colors;
  end_meter;

  meter show_a;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = MELFA;
      position = 43, 136, 90, 40;
    end_gui;
    expression = OPC.66;
    mode = dot_digital;
    range_from = -360;
    range_to = 360;
    low_limit = -90;
    high_limit = 90;
    colors
      paper = black;
    end_colors;
  end_meter;

  meter show_b;
    activity
      period = 0.01;
    end_activity;
    gui
      owner = MELFA;
      position = 168, 136, 90, 40;
    end_gui;
    expression = OPC.67;
    mode = dot_digital;
    range_from = -360;
    range_to = 360;
    low_limit = -90;
    high_limit = 90;
    colors
      paper = black;
    end_colors;
  end_meter;

  box box_7;
    gui
      owner = MELFA;
      position = 8, 6, 400, 190;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  image image_2;
    gui
      owner = MELFA;
      position = 488, 56, 450, 460;
    end_gui;
    file = 'RV-2JA.jpg';
  end_image;

  box box_1;
    gui
      owner = MELFA;
      position = 413, 6, 595, 615;
    end_gui;
    colors
      interior = white;
    end_colors;
  end_box;

  label panel_label;
    gui
      owner = MELFA;
      position = 558, 21;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'Robotick manipultor MELFA';
    end_text_list;
  end_label;

  panel controls_panel;
    gui
      owner = backpane;
      position = 0, 728, 1024, 40;
    end_gui;
  end_panel;

  tab_switch tswitch;
    gui
      owner = controls_panel;
      position = 0, 0, 1024, 40;
    end_gui;
    mode = bottom_no_frame;
    item
      title = 'FMS_202';
      panel = FMS_202;
      selected;
    end_item;
    item
      title = 'FMS_205';
      panel = FMS_205;
    end_item;
    item
      title = 'FMS_206';
      panel = FMS_206;
    end_item;
    item
      title = 'MELFA';
      panel = MELFA;
    end_item;
    blink_colors
      border = color_btntext;
    end_blink_colors;

    procedure OnIndex( Index : real );
    begin
      ActivePanel = Index;
    end_procedure;

  end_tab_switch;

  keyboard keyb;
    item
      event = press;
      key = 'f1';
      expression = 1;
    end_item;
    item
      event = press;
      key = 'f2';
      expression = 2;
    end_item;
    item
      event = press;
      key = 'f3';
      expression = 3;
    end_item;
    item
      event = press;
      key = 'f4';
      expression = 4;
    end_item;

    procedure OnOutput( Output : real );
    begin
      backpane.ShowPanel( Output, true )
    end_procedure;

  end_keyboard;

end_instrument;

